Set Client Order State
1 min
POST
https://api.upstartcommerce.com/v1/order/{id}/set-client-state/{clientState}
idstring<uuid>The ID of the order for which the client state is being set.
clientStatestringThe client state to which the order is being set.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-Client order state set successfully.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
403The provided credentials were not valid for this endpoint. It may be that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
500Internal server error.
curl --request POST \
--url https://api.upstartcommerce.com/v1/order/{id}/set-client-state/{clientState} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'